Authentication
There are two methods for authentication:
Using API key and secret
Using signature (HMAC SHA256)
Authenticate Using API Key and Secret
To authenticate with this method, the following headers should be sent with the request:
"AEVO-KEY": `[Insert API key]`
"AEVO-SECRET": `[Insert API secret]`Refer to API key setup to generate your API key and secret.
Authenticate Using Signature (HMAC SHA256)
👍 Keep your API secret safe!
Using signature is a safer method of authenticating since your API secret is not passed along in the requests. This prevents potential API secret leakage during transport.
To authenticate with this method, the following headers should be sent with the request:
"AEVO-TIMESTAMP": `[Insert UNIX timestamp in nanoseconds]`
"AEVO-SIGNATURE": `[Insert HMAC SHA256 signature]`
"AEVO-KEY": `[Insert API key]`AEVO_SIGNATUREis generated by performingHMAC_SHA256(apiSecret, message).messageis a concatenation ofapiKey,timestamp,httpMethod,path,bodywith comma separation.timestampis UNIX timestamp in nanoseconds.httpMethodis HTTP method (GET,POST,DELETE). Must be uppercase.apiKey,timestamp,httpMethod,path,bodyare all required. If the request does not have anybody, use a blank space for the value ofbody.
Example: GET /account
apiKey:API_KEYtimestamp: 1673425955575713842httpMethod: "GET" (uppercase, case sensitive)path: "/account"body: ""
📘 Note!
There is a trailing comma in the
message, since thebodyof a GET request is empty.
Last updated
Was this helpful?

